<?xml version="1.0"?>
<!-- This file is autogenerated; comments and unknown tags will be stripped -->
<mameconfig version="10">
    <system name="mk">
        <input>
            <port type="P1_BUTTON1" mask="16" index="5" defvalue="16">
                <newseq type="standard">
                    KEYCODE_7PAD
                </newseq>
            </port>
            <port type="P1_BUTTON2" mask="32" index="6" defvalue="32">
                <newseq type="standard">
                    KEYCODE_8PAD
                </newseq>
            </port>
            <port type="P1_BUTTON3" mask="64" index="7" defvalue="64">
                <newseq type="standard">
                    KEYCODE_9PAD
                </newseq>
            </port>
            <port type="P2_JOYSTICK_UP" mask="256" index="9" defvalue="256">
                <newseq type="standard">
                    KEYCODE_UP
                </newseq>
            </port>
            <port type="P2_JOYSTICK_DOWN" mask="512" index="10" defvalue="512">
                <newseq type="standard">
                    KEYCODE_DOWN
                </newseq>
            </port>
            <port type="P2_JOYSTICK_LEFT" mask="1024" index="11" defvalue="1024">
                <newseq type="standard">
                    KEYCODE_LEFT
                </newseq>
            </port>
            <port type="P2_JOYSTICK_RIGHT" mask="2048" index="12" defvalue="2048">
                <newseq type="standard">
                    KEYCODE_RIGHT
                </newseq>
            </port>
            <port type="P2_BUTTON1" mask="4096" index="13" defvalue="4096">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="P2_BUTTON2" mask="8192" index="14" defvalue="8192">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="P2_BUTTON3" mask="16384" index="15" defvalue="16384">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="START1" mask="4" index="20" defvalue="4">
                <newseq type="standard">
                    KEYCODE_ENTER
                </newseq>
            </port>
            <port type="START2" mask="32" index="25" defvalue="32">
                <newseq type="standard">
                    KEYCODE_N
                </newseq>
            </port>
            <port type="P2_BUTTON4" mask="512" index="29" defvalue="512">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="P2_BUTTON5" mask="1024" index="30" defvalue="1024">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="P2_BUTTON6" mask="2048" index="31" defvalue="2048">
                <newseq type="standard">
                    KEYCODE_1
                </newseq>
            </port>
            <port type="P1_BUTTON4" mask="4096" index="32" defvalue="4096">
                <newseq type="standard">
                    KEYCODE_4PAD
                </newseq>
            </port>
            <port type="P1_BUTTON5" mask="8192" index="33" defvalue="8192">
                <newseq type="standard">
                    KEYCODE_6PAD
                </newseq>
            </port>
            <port type="P1_BUTTON6" mask="32768" index="35" defvalue="32768">
                <newseq type="standard">
                    KEYCODE_5PAD
                </newseq>
            </port>
        </input>
        <mixer>
            <volume_multiplier final="256" final_max="256" mixer="161" mixer_max="161" />
        </mixer>
    </system>
</mameconfig>
